Subject: Re: [PATCH v2 10/25] sequencer: get rid of the subcommand field

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Sep 2016 12:15:50 -0700

Johannes Schindelin <[email-masked]> writes:

> The subcommands are used exactly once, at the very beginning of
> sequencer_pick_revisions(), to determine what to do. This is an
> unnecessary level of indirection: we can simply call the correct
> function to begin with. So let's do that.

Makes sense.  And the diffstat is also pleasant to the eyes.

>  builtin/revert.c | 36 ++++++++++++++++--------------------
>  sequencer.c      | 35 +++++++++++------------------------
>  sequencer.h      | 13 ++++---------
>  3 files changed, 31 insertions(+), 53 deletions(-)